/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;

import java.util.Observable;

/**
 * Clase Participante, calse que crea participantes
 * @author MW3 Sotfware
 */
public class Participante extends Observable{

    /**
     * nombre del Participante
     */
    private String nombre;
    /**
     *  Determina si es usuario
     */
    private boolean esUsuario;
    /**
     * Determina de si es cliente
     */
    private boolean esCliente;
    /**
     * Determina si es dearrollador
     */
    private boolean esDesarrollador;
    /**
     *  rol del Participante
     */
    private String rol;
    /**
     *  organizacion al que pertenece el participante
     */
    private String organizacion;
    /**
     * autores que han creado el participante
     */
    private String autores;
    /**
     * fuentes de informacion
     */
    private String fuentes;



    public Participante () {
    }

    
    /**
     * Metodo que devuelve el nombre
     * @return devuelve el nombre del participante
     */public String getNombre() {
        return nombre;
    }

    /**
     * Metodo que almacena el nombre
     * @param nombre Nuevo valor de nombre del Participantes
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve si es usuario
     * @return devuelve si es usuario el participante
     */
    public boolean getEsUsuario() {
        return esUsuario;
    }

    /**
     * Metodo que almacena si es Usuario
     * @param esUsuario Nuevo valor de esUsuario del Participantes
     */
    public void setEsUsuario(boolean esUsuario) {
        this.esUsuario = esUsuario;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve si es cliente
     * @return devuelve si es cliente el participante
     */
    public boolean getEsCliente() {
        return esCliente;
    }

    /**
     * Metodo que almacena si es Cliente
     * @param esCliente Nuevo valor de esCliente del Participantes
     */
    public void setEsCliente(boolean esCliente) {
        this.esCliente = esCliente;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve si es desarrollador
     * @return devuelve si es desarrolador el participante
     */
    public boolean getEsDesarrollador() {
        return esDesarrollador;
    }

    /**
     * Metodo que almacena si es dearrollador
     * @param esDesarrollador Nuevo valor de esDesarrollador del Participantes
     */
    public void setEsDesarrollador(boolean esDesarrollador) {
        this.esDesarrollador = esDesarrollador;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve el rol
     * @return devuelve el rol del participante
     */
    public String getRol() {
        return rol;
    }

    /**
     * Metodo que almacena el rol
     * @param rol Nuevo valor de rol del Participantes
     */
    public void setRol(String rol) {
        this.rol = rol;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve la organizacion
     * @return devuelve la organizacion del participante
     */
    public String getOrganizacion() {
        return organizacion;
    }

    /**
     * Metodo que almacena la organizacion
     * @param organizacion Nuevo valor de Organizacion del Participantes
     */
    public void setOrganizacion(String organizacion) {
        this.organizacion = organizacion;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

   /**
    * Metodo que devuelve llos autores
    * @return devuelve los autores del participante
    */
    public String getAutores() {
        return autores;
    }

    /**
     * Metodo que almacena los autores
     * @param autores Nuevo valor de autores del Participantes
     */
    public void setAutores(String autores) {
        this.autores = autores;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }

    /**
     * Metodo que devuelve las fuentes
     * @return devuelve las fuentes del participante
     */
    public String getFuentes() {
        return fuentes;
    }

    /**
     * Metodo que almacena las fuentes
     * @param fuentes Nuevo valor de fuentes del Participantes
     */
    public void setFuentes(String fuentes) {
        this.fuentes = fuentes;
        //Notificamos que ha habido un cambio
         this.setChanged();
         this.notifyObservers();
    }


}
